Subject: scipy on cygwin
From: "Jochen Küpper" <[email-masked]>
To: [email-masked]
Date: 18 Jan 2002 15:38:20 -0500

Hi All,

I managed to compile scipy (cvs) on cygwin (latest). I had to do the
following changes to cephes because log2 is defined as a macro in
/usr/include/math.h
,----
| Index: special/cephes.h
| ===================================================================
| RCS file: /home/cvsroot/world/scipy/special/cephes.h,v
| retrieving revision 1.1
| diff -u -r1.1 cephes.h
| --- special/cephes.h    2001/06/20 05:29:41     1.1
| +++ special/cephes.h    2002/01/18 20:14:48
| @@ -102,7 +102,9 @@
|  /*
|  extern int levnsn ( int n, double r[], double a[], double e[], double refl[] );
|  */
| +#ifndef log2
|  extern double log2 ( double x );
| +#endif
|  /*
|  extern long lrand ( void );
|  extern long lsqrt ( long x );
| Index: special/cephes/protos.h
| ===================================================================
| RCS file: /home/cvsroot/world/scipy/special/cephes/protos.h,v
| retrieving revision 1.2
| diff -u -r1.2 protos.h
| --- special/cephes/protos.h     2001/07/03 08:32:00     1.2
| +++ special/cephes/protos.h     2002/01/18 20:14:48
| @@ -101,7 +101,9 @@
|  extern int levnsn ( int n, double r[], double a[], double e[], double refl[] );
|  extern double log ( double x );
|  extern double log10 ( double x );
| +#ifndef log2
|  extern double log2 ( double x );
| +#endif
|  extern long lrand ( void );
|  extern long lsqrt ( long x );
|  extern int minv ( double A[], double X[], int n, double B[], int IPS[] );
`----
I am not sure whether we want the macro to be used or to be undefined
for this module...

However, the scipy.test() falls on almost everything, it looks like
that is is mostly due to import issues.
Interactively I get the following behaviour, for example:
,----
| python
| Python 2.2 (#1, Dec 31 2001, 15:21:18) 
| [GCC 2.95.3-5 (cygwin special)] on cygwin
| Type "help", "copyright", "credits" or "license" for more information.
| >>> import scipy
| gnuplot: not found
| >>> from scipy import scipy_version
| Traceback (most recent call last):
|   File "<stdin>", line 1, in ?
| ImportError: cannot import name scipy_version
| >>> import scipy.scipy_version
| >>>
`----

Anybody seen that? Hints?

Greetings,
Jochen
- -- 
University of North Carolina                       phone: +1-919-962-4403
Department of Chemistry                            phone: +1-919-962-1579
Venable Hall CB#3290 (Kenan C148)                    fax: +1-919-843-6041
Chapel Hill, NC 27599, USA                            GnuPG key: 44BCCD8E

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/